Send a test mailAsk AIpost https://api.getblueshift.com/api/v1/email_templates/test_send.jsonUse this endpoint to send a test mail to a specific email address.Body ParamsSends a test mail to a specific email address, using the personalization context for a given user. The following request will send a test mail to [email protected]idstringrequiredSpecify the UUID of the template. The template uuids can be found by querying the index, or from the URL when you view a template in the Blueshift app. For example, in https://app.getblueshift.com/dashboard#/email_template_studio/<TEMPLATE_UUID>/edit/info, the <TEMPLATE_UUID> is the uuid you need.personalize_forstringrequiredSpecify the email address of the user whose personalization context we should use to send the test email.recipientsarray of stringsSpecify email addresses of the recipientsrecipientsADD stringfrom_namestringSpecify the name that we should use in the from field of the email. 📘 This is only applicable for the email channel. from_addressstringSpecify the email address that we should use as the sender's email address. For example, [email protected]. 📘 This is only applicable for the email channel. You can take a look at documentation on SendGrid for reference. If you use a different adapter, you can review its documentation too. reply_to_addressstringSpecify the email address to which your customers can reply to, if they want to reply to an email that our platform sends. 📘 This is only applicable for the email channel. You can take a look at documentation on SendGrid for reference. If you use a different adapter, you can review its documentation too. Responses 200OK 400Bad Request - The request is invalid due to missing or incorrect parameters. This includes missing fields, invalid values, formatting issues, or conflicts such as duplicate data. 401Unauthorized - API authentication failed due to an invalid or missing API key. 403Forbidden - The API key does not have sufficient permissions to perform this action. 404Not Found - The requested resource was not found. 422Unprocessable Entity - The request was well-formed but contains semantic errors. 429Too Many Requests - The request limit has been exceeded. Reduce request frequency. 500Internal Server Error - An unexpected server error occurred. Contact support if the issue persists. 502Bad Gateway - The server received an invalid response. Retry the request. 503Service Unavailable - The service is temporarily unavailable. Try again later. 504Gateway Timeout - The server took too long to respond. Retry the request with exponential backoff.Updated 4 months ago